Bug 691685 - [abrt] yelp-1:2.30.2-1.fc14: yelp_document_cancel_page: Process /usr/bin/yelp was killed by signal 6 (SIGABRT)
[abrt] yelp-1:2.30.2-1.fc14: yelp_document_cancel_page: Process /usr/bin/yelp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
14
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:215f6b65a60987681ae671ea7ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 05:08 EDT by datahal42
Modified: 2012-08-16 10:17 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 657158
Environment:
Last Closed: 2012-08-16 10:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description datahal42 2011-03-29 05:08:49 EDT
+++ This bug was initially created as a clone of Bug #657158 +++

abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: gnome-help ghelp:user-guide?gospanel-1
component: yelp
crash_function: yelp_document_cancel_page
executable: /usr/bin/yelp
kernel: 2.6.35.6-48.fc14.i686
package: yelp-1:2.30.2-1.fc14
rating: 4
reason: Process /usr/bin/yelp was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1290577891
uid: 500

How to reproduce
-----
1.
2.
3.
d k

--- Additional comment from spm_jr@msn.com on 2010-11-25 00:20:52 EST ---

Created attachment 462816 [details]
File: backtrace

--- Additional comment from bernie@codewiz.org on 2010-11-30 18:45:40 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1 search for 'keyboard'
2.click on the Desktop User Guide link

--- Additional comment from rutgersdata@yahoo.com on 2010-11-30 19:25:15 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2. Launching Gnote
3.

--- Additional comment from marjan.grman@gmail.com on 2010-12-16 14:07:05 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. When I ran help
2. When I clicked on "Mahjongg Manual"
3.


Comment
-----
Just click on "Mahjongg Manual" in "Help 2.30.2"

--- Additional comment from cristian.ciupitu@yahoo.com on 2010-12-18 16:08:47 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start GNOME Video Arcade
2. Go to Help -> Contents


Comment
-----
I have gnome-video-arcade-0.7.0-1.fc13.x86_64.rpm. I don't know yet if it's reproduceable or not.

--- Additional comment from cristian.ciupitu@yahoo.com on 2010-12-18 19:06:39 EST ---

Errata: Help -> Contents -> Introduction

--- Additional comment from szoke.karoly@postafiok.hu on 2011-01-05 15:03:56 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't remeber, sorry.
2.
3.

--- Additional comment from leon7302@gmail.com on 2011-02-04 13:04:14 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i don't no how did it happened
2.
3.

--- Additional comment from leon7302@gmail.com on 2011-02-05 04:36:37 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i don't no how did it happened
2.
3.

--- Additional comment from sbonnevi@redhat.com on 2011-02-08 17:36:16 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Selected a link (to a GNU Info page?) in yelp.
2.  Crash.




Comment
-----
I wonder if it's possible the info page pointed to was in a package not installed on the system.  (Took long enough to load debuginfo that I'm not sure what link was hit anymore.)  :/

I also got an anecdotal report from a Red Hat field instructor today of intermittent crashes after clicking on results found by the Search function in yelp.  I don't have full characterization of these, but was working with yelp to try to reproduce when this occurred.  Those reports were against RHEL 6, but perhaps is relevant.

--- Additional comment from sbonnevi@redhat.com on 2011-02-08 23:37:09 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened yelp.
2. On home screen, selected "GNU Info Pages"
3. Selected "Libraries" from left-hand list
4. Selected "Libc" from right-hand list
5. Crash.


Comment
-----
This time, glibc-devel is installed, so info pages are present; can view with info/pinfo from the command line with no problem.  

Oddly, when I attempted to reproduce this after the crash, it didn't crash, but instead of going to the Top node of the "GNU C Library Reference Manual", I got section 12.20.3 ("Controlling Which Kind of Buffering") as the first node displayed.  I note that this node is in the file /usr/share/info/libc.info-3.gz, if that matters.  Something is clearly not right here.

--- Additional comment from datahal42@gmail.com on 2011-02-26 04:30:25 EST ---

Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.click gnu info in yelp
2.
3.

--- Additional comment from datahal42@gmail.com on 2011-03-29 04:34:48 EDT ---

This bug is in the index of the infos and manpages :

yelp gzip info e.g:

#############################################################
Concept index

XML parsing error: not well well-formed 
location: file:///usr/share/info/gzip.info.gz#Concept_index
Line Number 32, Columm2:

##############################################################

index of all info and manpages on yelp is the bug.

I expect a response. thanks

--- Additional comment from datahal42@gmail.com on 2011-03-29 04:53:24 EDT ---

1- the crash bug is because it enabled selinux.

2-when clicked, it opens the manpage and info on the previous error
Comment 1 Richard Houseago 2011-04-25 10:22:54 EDT
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Search for the expression csv
2. clicked the hyperlink
3.


Comment
-----
I simply search for a string in the text and then tried to follow the hyperlink
Comment 2 ad123 2011-04-26 04:35:48 EDT
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.view  any topic of help
2.
3.


Comment
-----
view  any topic of help
Comment 3 Fedora End Of Life 2012-08-16 10:17:23 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.